### Build ####
FROM node:16-alpine AS build

WORKDIR /usr/src/app
COPY package.json package-lock.json ./

RUN npm install --loglevel=error

COPY . .

### Run ###
FROM nginx:alpine
COPY nginx.conf /etc/nginx/nginx.conf
COPY --from=build /usr/src/app/dist/web-client /usr/share/nginx/html
